read_rforge {knitr} | R Documentation

## Read source code from R-Forge

### Description

This function reads source code from the SVN repositories on R-Forge.

### Usage

    read_rforge(path, project, extra = "")

### Arguments

`path` | Relative path to the source script on R-Forge.
`project` | Name of the R-Forge project.
`extra` | Extra parameters to be passed to the URL (e.g. `extra = '&revision=48'` to check out the source of revision 48).

### Value

A character vector of the source code.

### Author(s)

Yihui Xie and Peter Ruckdeschel

### Examples

    library(knitr)

    # relies on r-forge.r-project.org being accessible
    read_rforge("rgl/R/axes.R", project = "rgl")
    read_rforge("rgl/R/axes.R", project = "rgl", extra = "&revision=519")

[Package knitr version 1.22 Index]